@media (min-width: 992px) {
    #header .mega-dropdown:hover>.dropdown-menu {
        display: block;
    }

    #header .mega-dropdown .dropdown-toggle::after {
        margin-left: .4rem;
    }
}

@media (max-width: 992px) {
    #header .search-wrapper {
        margin-top: 6px;
        margin-bottom: 6px;
    }
}

@media (max-width: 768px) {
    #header .mega-inner {
        grid-template-columns: 1fr;
    }

    #header .mega-menu {
        width: 100%;
        left: 0;
        transform: none;
        margin-top: 0;
    }

    .product-price-up-down {
        margin-bottom: 10px;
    }

    .section-title {
        font-size: 1.2rem;
        font-weight: 400;
    }

    .product-card {
        padding: 4px;
    }

    .product-title {
        font-size: 0.7rem;
        font-weight: 400;
        margin-bottom: 0px;
    }

    .rating-wrap {
        font-size: 0.7rem;
        margin-bottom: 0px;
    }

    .old-price {
        font-size: 0.7rem;
    }

    .product-price {
        font-weight: 400;
        font-size: 0.8rem;
    }

    #order-btn-variation {
        height: unset !important;
    }

    .product_details_dextop_view {
        display: none !important;
    }

    .product_details_phone_view {
        display: block !important;
    }

    .product-details-title {
        font-weight: 400 !important;
        font-size: 18px;
    }

    .cart-table thead {
        display: none;
    }

    #view_cart_dynamic_data tr {
        display: grid !important;
        border-bottom: 1px solid #ddd;
        margin-bottom: 10px;
    }

    #view_cart_dynamic_data tr:last-child {
        border-bottom: none !important;
        margin-bottom: 0px !important;
    }

    .view_cart_sub_total_title {
        justify-content: center;
    }

    .cart-section #view_cart_dynamic_data .qty-box {
        justify-content: center;
        width: 100% !important;
    }

    .cart-section .cart-table-wrap {
        padding: 0px !important;
    }

    .cart-section .cart-table td {
        padding: 5px 0px !important;
    }

    .cart-section .show_only_small_device {
        display: inline-block !important;
        font-size: 13px;
    }
    .cart-section .hide_only_small_device {
        display: none !important;
    }

    #view_cart_dynamic_data td {
        text-align: center !important;
        border-bottom: none !important;
    }

    #view_cart_dynamic_data .cart-product-img {
        width: 60px;
        height: 60px;
        margin-right: 5px;
    }

    .cart-product-name {
        font-weight: 200;
        line-height: 6px;
    }
}

/* =========================
   RESPONSIVE SWITCH
========================= */
.only-desktop {
    display: none;
}

.only-mobile {
    display: block;
}

@media (min-width: 992px) {
    .only-desktop {
        display: block;
    }

    .only-mobile {
        display: none;
    }

    body {
        padding-bottom: 0;
    }

    #mainSlider .slide img {
        height: 450px;
    }

    main.main-wrapper {
        padding: 18px 41px;
        background: #f0f5ff;
        max-width: 2000px;
        margin: auto;
    }
    .product-details-section .carousel-item img {
        height: 550px;
    }
}

@media (max-width: 991.98px) {
    body {
        padding-bottom: 0;
    }

    main.main-wrapper {
        padding: 12px 10px;
    }

    #mainSlider .s-arrow {
        width: 34px;
        height: 34px;
    }

    .section-title::before,
    .section-title::after {
        content: "";
        position: absolute;
        top: 15%;
        width: 13%;
        border-top: 2px solid var(--green);
        transform: translateY(-50%);
    }

    .section-title::before {
        left: 19.5%;
    }

    .section-title::after {
        right: 19.5%;
    }

    #product-details .title {
        font-size: 1rem;
    }

    .hero-carousel .carousel-item {
        height: 30vh !important;
        min-height: 230px !important;
    }

    .user-dashboard .sidebar {
        border-top-right-radius: var(--radius-2);
        border-bottom-right-radius: var(--radius-2);
    }

    .offcanvas-lg.show:not(.hiding),
    .offcanvas-lg.showing {
        padding: 0px 15px;
        width: 90%;
    }

    #back_to_top {
        bottom: 10%;
    }

    #cart-btn {
        display: none;
    }

    .header-small-menu {
        display: block !important;
    }
    .section-padding {
        padding: 15px 0 !important;
    }
}


@media (min-width :421px) and (max-width: 991.98px) {
    .order-success-page-res-btn {
        width: 50% !important;
    }
}

@media only screen and (max-width: 576px) {
    #deals-the-day-products .deals-prev {
        left: -10px !important;
    }

    #deals-the-day-products .deals-next {
        right: -10px !important;
    }

    .best_selling_products .best-selling-products-prev {
        left: -10px !important;
    }

    .best_selling_products .best-selling-products-next {
        right: -10px !important;
    }

    .testimonials .testimonials-prev {
        left: -10px !important;
    }

    .testimonials .testimonials-next {
        right: -10px !important;
    }

    .btn-outline-theme {
        font-size: 15px !important;
    }
}

@media (min-width :320px) and (max-width: 420px) {
    .order-success-page-res-btn-main {
        display: grid !important;
    }

    .order-success-page-res-btn {
        width: 100% !important;
    }
}


/* Media Queries for Responsiveness */
@media only screen and (max-width: 600px) {
    .mockup-hand {
        transform: translateX(-37%);
        height: 491px;
    }

    section#news-letter {
        height: 541px;
    }

    .mockup-screen-1 img,
    .mockup-screen-2 img,
    .mockup-screen-4 img,
    .mockup-screen-5 img {
        max-width: 158px;
    }

    .review_model .modal-content {
        width: 75%;
        left: 14%;
    }

    .owl-nav button.owl-next {
        right: 3px;
    }

    .owl-nav button.owl-prev {
        left: 6px !important;
    }

    button.owl-prev,
    button.owl-next {
        width: 36px !IMPORTANT;
        height: 36px !important;
    }

    .mockup-screen-1,
    .mockup-screen-2,
    .mockup-screen-3,
    .mockup-screen-4,
    .mockup-screen-5 {
        justify-content: center;
        align-items: center;
        margin: 0 auto;
        height: 330px;
        width: 153px;
    }

    #productTabs {
        display: grid !important;
    }

    .review-card .review-img {
        height: 250px;
    }

    .review-card .card-body {
        padding: 8px !important;
    }

    .review-card .card-body .stars {
        font-size: 13px;
    }

    .product-details-section .carousel-item img {
        height: 400px;
    }
}

@media only screen and (max-width: 385px) {

    .mockup-screen-1 img,
    .mockup-screen-2 img,
    .mock-screen-4 img,
    .mockup-screen-5 img {
        max-width: 143px;
    }

    .mockup-hand {
        bottom: 45px;
        transform: translateX(-37%);
        height: 448px;
    }

    .main_review {
        margin-bottom: -23px;
    }

    #offcanvasCartRight,
    #menusOffcanvas {
        max-width: 300px;
    }

    #offcanvasCartRight .offcanvance-content {
        width: 100px;
    }
    .product-details-section .carousel-item img {
        height: 340px;
    }
}

@media only screen and (max-width: 370px) {
    .mockup-hand {
        bottom: 62px;
        height: 427px;
        transform: translateX(-35%);
    }

    .mockup-screen-1 img,
    .mockup-screen-2 img,
    .mockup-screen-4 img,
    .mockup-screen-5 img {
        max-width: 139px;
    }

    .main_review {
        margin-bottom: -62px;
    }

    .review-card .review-img {
        height: 150px;
    }

    .review-card .card-body {
        padding: 8px !important;
    }

    .review-card .card-body .stars {
        font-size: 13px;
    }
}
